class FrontMailer < ApplicationMailer
  # layout false, only: [:newsletter]
  # layout false, :only => 'newsletter'

  def welcome(account)
    mail to: account.email, subject: 'Welcome to World Of RPS!'
  end

  def withdraw_accepted(account)
    @subject = 'World Of RPS Informer'
    mail to: account.email, subject: @subject
  end

  def withdraw_completed(account)
    @subject = 'World Of RPS Informer'
    mail to: account.email, subject: @subject
  end

  def newsletter(text, recipients, subject='World Of RPS Informer')
    @subject = subject
    @text = text
    @_action_has_layout = false
    mail bcc: recipients, subject: subject
  end

end
